import request from '@/utils/request'

// 查询市场监管-其他处罚列表
export function listRegulation(query) {
    return request({
        url: '/crmMarketRegulation/findByPage',
        method: 'get',
        params: query
    })
}

// 查询市场监管-其他处罚详细
export function getRegulation(id) {
    return request({
        url: '/crmMarketRegulation/' + id,
        method: 'get'
    })
}

// 新增市场监管-其他处罚
export function addRegulation(data) {
    return request({
        url: '/crmMarketRegulation',
        method: 'post',
        data: data
    })
}

// 修改市场监管-其他处罚
export function updateRegulation(data) {
    return request({
        url: '/crmMarketRegulation',
        method: 'put',
        data: data
    })
}

// 删除市场监管-其他处罚
export function delRegulation(id) {
    return request({
        url: '/crmMarketRegulation/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delRegulationBatch(ids) {
    console.log(ids);
    return request.post('/crmMarketRegulation/delete',ids)
}